Subject: Re: bug#56998: 29.0.50; quail input methods broken (input-method-alist empty) on master (since 261d6afd6)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Aug 2022 14:39:32 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'll debug further.

If I say

make bootstrap; ./src/emacs -Q

then `input-method-alist' is nil.  If I then say

touch lisp/loadup.el; make; ./src/emacs -Q

then `input-method-alist' is filled as it should be.  So it seems like
in the first-build case, we're not...  er...  loading something we
should be loading?  But on the second build, we are.

Eli, you're more familiar with the quail stuff than I am.  Do you have
any idea what could be happening here?